ERIP
API ReferencePublicTenant

/v1/tenant/api-keys/service

POST/v1/tenant/api-keys/service

Authorization

ApiKey Bearer
X-Api-Key<token>

Provide your API key in the X-Api-Key header.

In: header

AuthorizationBearer <token>

Enter a JWT token obtained from /v1/auth/login.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/tenant/api-keys/service" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
  "type": "User",
  "name": "string",
  "keyPrefix": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "expiresAt": "2019-08-24T14:15:22Z",
  "isActive": true,
  "rawKey": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}